TapTools for Max 6.1 x64?


    Mar 24 2013 | 11:41 pm
    Will TapTools work in an upcoming update to Max 6.1 64bit?
    1) definitely
    2) maybe
    3) don't know
    Will this update come
    1) soon ( 2) later (>1 month)
    3) who knows

    • Mar 27 2013 | 12:35 pm
      soon
    • Mar 28 2013 | 2:13 am
      Thank you Timothy.
    • Apr 26 2013 | 3:38 pm
      Soon has arrived. TapTools 4 beta 2 is a Max 6.1 Package and supports both 32- and 64- bit.
      You can get it through the Package Downloader ( https://github.com/natcl/max_package_downloader )
    • Apr 26 2013 | 4:24 pm
      Great TIm !
      I changed the link in Package Downloader so it points to the tagged 4b2 version instead which seems safer.
      Since it's a big file, Max may seem to hang when getting it with the Package Downloader but if your patient it'll go through !
    • Apr 26 2013 | 4:43 pm
      The Package Downloader is super awesome -- so thank you, Nat!
    • Apr 26 2013 | 7:02 pm
      Thanks Tim.
    • Apr 27 2013 | 10:14 am
      great! some progress on a windows version? :-) a.
    • Apr 30 2013 | 3:30 pm
      Anyone know what I'm doing wrong. Just downloaded 6.1.2 and TapTools 4 beta 2
      Running on MacBookPro3,1; running OS 10.6.8; running Max in 32-bit
      As the error message notes below, TapTools folder is located in the "packages" folder ... and Max can find it.
      Under 6.0 and TapTools 3 there was an "Authorize TapTools" menu item under Extras menu. It's not there now under 6.1 and TapTools 4 beta 2 ... but I guessing that it's no longer necessary due to the change in distribution model (thanks Tim!)
      Error message on start-up:
      tap.loader: unable to load object bundle executable
      2013-04-30 10:58:19.112 Max[63112:207] Error loading /Applications/Max 6.1/packages/TapTools/extensions/tap.loader.mxo/Contents/MacOS/tap.loader: dlopen(/Applications/Max 6.1/packages/TapTools/extensions/tap.loader.mxo/Contents/MacOS/tap.loader, 265): Library not loaded: /usr/lib/libc++.1.dylib
      Referenced from: /Applications/Max 6.1/packages/TapTools/extensions/tap.loader.mxo/Contents/MacOS/tap.loader
      Reason: image not found
      freeobject: e7c85c8: bad object
      freeobject: e7c86c8: bad object
    • May 01 2013 | 5:13 pm
      Is [tap.applescript] part of the new release? the .mxo is not in the package I downloaded (but the helpfile is...)
    • Jun 17 2013 | 10:24 pm
      Tried the TapTools 4 Beta and got this
      tap.verb~: unable to load object bundle executable
      2013-06-17 16:19:40.856 Max[14167:207] Error loading /Applications/Max 6.1.2/packages/TapTools/externals/tap.verb~.mxo/Contents/MacOS/tap.verb~: dlopen(/Applications/Max 6.1.2/packages/TapTools/externals/tap.verb~.mxo/Contents/MacOS/tap.verb~, 265): Libr
      ary not loaded: /usr/lib/libc++.1.dylib
      Referenced from: /Applications/Max 6.1.2/packages/TapTools/externals/tap.verb~.mxo/Contents/MacOS/tap.verb~
      Reason: image not found
    • Jun 17 2013 | 10:26 pm
      also...
      tap.jit.source seems to be missing.
    • Jun 17 2013 | 10:31 pm
      TapTools 4 requires OS 10.7 or higher.
    • Nov 29 2013 | 11:09 pm
      Any idea where the tap.applescript.mxo could be found? - It seems not to be in the new release - is there an old one somewhere?
    • Nov 30 2013 | 11:27 am
      hi all,
      any news on a version for Windows?
      i feel often like the poor cousin of osX maxers :-(
      a.